SCSIRAID

Конструктор плагина: 
Способ запуска приложения: 
Комплектность: 
Область применения: 
Автор плагина: 
yurkesha
Дата релиза: 
28.02.2016
Версия плагина: 
2016_02_28

Плагин поддержки SCSI/SATA/RAID/IDE устройств. (SCSIPORT)

Драйвер JMicron откачен на версию  1.17.63.1(05/19/2011) из комплекта scsiraid_2012_05_25.7z

Раздел форума: 

Комментарии

Yurkesha, в драйвпаке от 2013.06.15 не работает JMicron JMB36X
PCI\VEN_197B&DEV_2362&SUBSYS_84601043&REV_10\4&39632889&0&0020
последний рабочий в 2012.05.25

Аватар пользователя yurkesha

Ну первый наводящий вопрос в чем проявляется нерабочесть?
Второй - если заменить jraid.sys на старый то работает?
В принципе новых устройств там не добавлялось так что вполне возможно откатываться на старую версию драйвера. Хотя мне лично непонятно как такая ситуация может возникать - ну разве что производитель облажался с конкретно этим устройством на уровне SYS-драйвера...

---
упс..

Аватар пользователя yurkesha

Могу предложить на пробу самый последний драйвер от производителя(DriverVer=09/17/2012, 1.17.65.11) JMICRON.7z

---
упс..

В диспетчере появляется стандартный контроллер вместо jmicron. Пишет драйвер поврежден или (не запущен кажется). Сам jraid.sys менял на флешке без пересборки, не помогало. Вернул весь плаг jmicron, пересобрал все работает. Завтра скрин сделаю.

Аватар пользователя yurkesha

А с новым драйвером?

---
упс..

У меня почему-то не желает правильно подцепляться драйвер SCSIRAID\ASMEDIA\ASM106X
RAID Контроллер - FastTrak TX2300
Версия плагина - 2013_09_29
Если скачать драйвер с оф.сайта (]]>http://promise.com/support/download_file.aspx?rsn=263&m=673&region=ru-RU]]>) и скормить его по F6, то все работает.

Аватар пользователя yurkesha

Указанный драйвер обрабатывает устройства с кодом начинающимся с
PCI\VEN_105A
А драйвер Asmedia обрабатывает  устройства с кодами:
PCI\VEN_1B21&DEV_0601
PCI\VEN_1B21&DEV_0602
PCI\VEN_1B21&DEV_0611
PCI\VEN_1B21&DEV_0612
Я лично взаимосвязи между ними не вижу.
Вообще FastTrak TX2300 это Promise хотя бы по офсайту ;)
Но драйвер с офсайта писал явный придурок дебил отморозок шутник - в качестве кода устройства использовать только вендора - это надо было додуматься....
Поэтому если хочешь добавить данный драйвер в сборку то необходимо смотреть код твоего конкретно устройства и добавлять именно его(судя по всему можно обрабатывать драйвером \SCSIRAID\PROMISE\TX2X00).

---
упс..

Да, что-то я тупанул конкретно, запутавшись в своих контроллерах :) Сорри.
Коды устройства:
PCI\VEN_105A&DEV_3570&SUBSYS_3570105A&REV_02
PCI\VEN_105A&DEV_3570&SUBSYS_3570105A
PCI\VEN_105A&DEV_3570&CC_010400
PCI\VEN_105A&DEV_3570&CC_0104

Знать бы еще, как самому добавить драйвера с оф.сайта в эту сборку :)

Если я тупо закину необходимые файлы с оф.сайта с заменой в папку DRIVERS\SCSIRAID\PROMISE\TX2X00 - такой вариант прокатит? :)

Аватар пользователя yurkesha

Сделаю - инфу ты предоставил полностью.
В принципе можно попробовать так сделать - в \SCSIRAID\PROMISE\PROMISE.INF добавить строку:
"txtsetup.sif","HardwareIdsDatabase","PCI\VEN_105A&DEV_3570","""fttxr52p"""
сразу после строки:
"txtsetup.sif","HardwareIdsDatabase","PCI\VEN_105A&DEV_3571","""fttxr52p"""

---
упс..

Спасибо!
попробую обязательно и по результатам отпишусь...

yurkesha, по JMicron:
в Win7 определяется как PCI\VEN_197B&DEV_2362&SUBSYS_84601043&REV_10
в WinXP PCI\VEN_197B&DEV_2362&SUBSYS_84601043&REV_10\4&37F3498E&0&0050

=========
2012.05.25:
Определяется как IDE-контроллёр со знаком вопроса, виден в Диспетчере устройств только если включить показ скрытых устройств.
Буква диска назначается автоматически.

=========
2012.09.16
2013.06.15
2013.09.29:
Определяется как SCSI и RAID контроллёр.
Буква автоматически не назначается, после назначения вручную - диск доступен в ТС, например, но в Проводнике - нет, хотя открывается из оснаски Управления дисками пунктом меню ПКМ/Открыть, но не срабатывает ПКМ/Проводник! В консоли тоже доступен (переходит командой cd).
В Диспетчере устройст для диска на JMicron стоит восклицательный знак и:
"Для устройства не установлены драйверы. (Код 28)
Драйверы для этого устройства будут удалены при перезагрузке компьютера. Любые изменения параметров для этого устройства не будут сохранены.
Нажмите "Переустановить" для переустановки драйверов этого устройства.
"

=========
Взял jraid.sys 20130929 и jraid_f.inf  20120525: всё работает, похоже, косяк в версии jraid.sys.

=========
P.S. В readme крайней официальной версии указано Win2K/WinXP/Win2003/Vista

P.P.S. И есть ещё такая непонятная штука ]]>http://forum.ru-board.com/topic.cgi?forum=62&topic=24098&start=500#12]]>

Аватар пользователя yurkesha

По поводу версии Jmicron - учточни - у тебя SYS-файл версии 1.17.63.1 нормально заработал?
Если так то по драйвпаку откачивать его надо - п принципе версия 1.17.65.11 свежих кодов устройств не привносила...
Надо наверное выбрать время и перебрать драйвпаки - по ходу вывести финальный релиз - уже новых драйверов под WinXP не предвидится...

---
упс..

Да, jraid.sys версии 1.17.63.1 работает нормально.

в принципе версия 1.17.65.11 свежих кодов устройств не привносила...

Там и ченджлог особо и не актуален:

1.17.65WHQL (11/13/2012)
   1. This version is the final version for Windows 8.
   2. Enable restart in thread for Win8.
   3. Fix BSOD issue if system enter hibernate, or crush dump fail.
   4. Fix BSOD issue if driver return invalid status.
   5. Add PCIe work around for VIA some chipset that sequential disk read performance too low.

 

уже новых драйверов под WinXP не предвидится...

Есть неприятная вероятность, что самые свежие требуют SP3, софт такой уже попадался (kernel32.dll не устраивает)... Так и не удалось разобраться и решить - переехать на SP3 или нет?
 

Аватар пользователя yurkesha

Вот по поводу переезда на SP3 ответ однозначно отрицательный - проблемы с сеткой будут.
Начну тогда финалить потихоньку драйвпак SCSIRAID...
Но вообще актуальность сборок на базе WinXP под вопросом - все чаще и чаще приходится сталкиваться с UEFI secure boot и как оказалось не всегда его можно отключить.
Пришлось даже рабочую загрузку переделывать на bootmgr и только из-под него пинать GRUB4DOS...

---
упс..

Вот по поводу переезда на SP3 ответ однозначно отрицательный - проблемы с сеткой будут.

Вообще или только Wi-Fi, например? У меня вообще вафля ни разу не запахала с SP2, но особо и не копал причины.

вообще актуальность сборок на базе WinXP под вопросом

Зато они не лезут куда не нужно и ничего не блокируют, как WinPE2.x. Старых компов тоже осталось.

Пришлось даже рабочую загрузку переделывать на bootmgr и только из-под него пинать GRUB4DOS...

Спасибо за идею, а я всё пытался подружить Grub4Dos и Syslinux.

Аватар пользователя yurkesha

Проблемы с сеткой вообще.
По поводу WiFi и sp2 - тут возможные проблемы с WPA2 - лечатся соответствующими файлами из обновки - номер обновы не скажу, но в крайних версия моего плага поддержки сети они включены.

Зато они не лезут куда не нужно и ничего не блокируют

ну с этим утверждением никто спорить не будет - просто хотелось бы возможность грузануть сборку в UEFI режиме...

Спасибо за идею

Там делаешь так: Загрузочный сектор реального режима - и в параметре path указать относительный путь до grldr.mbr - его в свою очередь возьмешь из полного дистра GRUB4DOS...
 

---
упс..

Всё выше сказанное правда. Давайте обсудим этот вопрос. 

 

Аватар пользователя yurkesha

Ну давай обсудим, коли не шутишь...

---
упс..

yurkesha, я тут прикинул за SP3: ведь корень зла, похоже, в каких-то функциях, которых из коробки нет в kernel32.dll WinXP SP2. Сравнил список экспортируемых функций и попытался вспомнить, с какой ошибкой столкнулся и какая прога ругалась на отсутствие SP3 - не смог, а на днях наткнулся на ]]>http://forum.geckoworld.ru/index.php/topic,239496.0.html]]>
Выковыривать kernel32.dll из SP3 мне кажется не очень разумным и я вспомнил, что хранил архив с WinXP SP2 со всеми обновлениями до SP3, так вот, в kernel32.dll 5.1.2600.3119 есть та самая GetLogicalProcessorInformation, которая в основном и вызывает трудности, как я понял.

P.S. Толком не тестил, проверил только с K-Meleon.

Аватар пользователя yurkesha

В SP3 переделана сеть. Полностью...
И не важно что там по библиотекам конкретным идет - все сидит очень основательно размазанным по всей системе.

---
упс..

Мысль о SP3 возникла только в связи с проблемами запуска некоторых программ и, надеюсь, замена kernel32.dll на более свежую (но всё ещё для SP2) версию решит это: добавилась только функция GetLogicalProcessorInformation, а вот в SP3 в kernel32.dll появились ещё 4е функции, связанные с DEP - фиг знает, что там с зависимостями может всплыть, лучше не трогать :)

Наткнулся по случаю
]]>http://www.win-raid.com/t11f23-Modded-Intel-AHCI-and-RAID-Drivers-digitally-signed.html]]> (проверить нет возможности).

Аватар пользователя yurkesha

Привет!
Насчет дровишек:
- цифровая подпись фейк, такую я и сам делал(самоподписанный драйвер), да и для WinXP/2003 она собственно особо не нужна - так для галочки
- сведения в единый составной пакет я не наблюдаю - как минимум часть кодов из v11.2.0.1006 mod+signed by Fernando не содержится в v14.10.0.1016 mod+signed by Fernando.rar
Вобщем по кодам и версиям я анализ проведу и если что добавлю к себе в пак(может там есть уникальные коды), а в остальном это примерно ьо же самое чем занимаюсь я в драйвпаке(цифровую подмись я не ставлю по причине невостребованности, особенно для WinPE, но возможность такая есть и я умею ею пользрваться).

---
упс..

scsiraid_2016_02_28.7z не качаца, можно исправить?

Аватар пользователя yurkesha

Там не только этот файл не качается... К сожалению.
Лови дубль на внешнем обменнике ]]>scsiraid_2016_02_28.7z]]>

---
упс..

В очередной раз, СПАСИБО!!!

yurkesha, цифровая подпись да, побоку, согласен. Так понял, там автор говорит о совместимости с AHCI/RAID, которые официально не поддерживаются в WinXP, - подумал, что, возможно, что-нибудь может пригодиться для плагина :)

Аватар пользователя yurkesha

Я скачал все что имеет оношение к WinXP, но полный анализ по кодам пока еще сделать не удается - нет подходящих стендов...

---
упс..

Приветствую, yurkesha!
Забыл спросить насчёт загрузчика, от какой версии Win стоит взять bootmgr?

Аватар пользователя yurkesha

Конечно не особо относится к именно этой теме, но все же: bootmgr имеет смысл брать самый свежий.
На практике проверено что загрузчик от Win10 может загружать все от 7-ки lj 2012R2.
Опять же имеет смысл использовать этот загрузчик как первичный и уже из него вызывать тот же GRUB4DOS(например) - в обычном режиме загрузки(не UEFI). И уже все DOS и WinPE 1.* вырианты запускать через второй загрузчик.
А для всего более свежего надо включать в загрузочное устройство еще и UEFI загрузчик...

---
упс..

Прошу прощения, что-то не сообразил, надо было в ЛС написать :( Один момент:

На практике проверено что загрузчик от Win10 может загружать все от 7-ки lj 2012R2.

А сам загрузчик может загружаться где угодно, в общем случае, включая старое железо?

P.S. Загрузчик от Win7 почему-то отказывается грузить grldr.mbr версии 0.4.6a, только grldr.

Аватар пользователя yurkesha

На загрузчике от Win10 я тоже пинаю grldr ;)

---
упс..

Это я понял :) А сам загрузчик Win10 нормально работает на старом железе?

Аватар пользователя yurkesha

В последнее время в доступе старее чем 945 чипсет не попадалось... А на нем - загружается нормально...

---
упс..

Спасибо, буду пробовать.

Страницы

Похожие материалы по этой теме на сайте

Содержимое
STORPORT

Добавляет в сборку поддержку драйверов новой архитектуры - STORPORT - которые изначально предназначались только для систем W2K3). И содержит драйвера архитектуры STORPORT.
Добавлен драйвер Dell PERC S100 S300.

Acronis True Image HOME+UR+TB+ASZ 16.0.0.5551 RUS

Плагин для Acronis True Image+UR+TB+ASZ 16.0.0.5551 RUS  - содержит файлы программы.
Файлы ASZ для этой же версии выложены отдельным модулем.

Opera

Браузер Opera в последней стабильной инкарнации :)

exFAT

Плагин для поддержки exFAT.

Active@ Boot Disk 5.0.5

Плагин для базовых утилит из Active@ Boot Disk 5.0.5 - содержит файлы программы и руководства пользователя.

EXT2EXPLORE

Плагин для EXT 2&3&4 explorer - содержит файлы программы.

ISOBUSTER

Плагин для ISOBUSTER. – содержит файлы программы.

OpenOffice.Pro

Содержит 4% информации для восстановления

Сейчас на сайте

Пользователей онлайн: 0.

Пользователи

  • polya
  • frons
  • olegst
  • klen
  • alxxxer
  • garpagon
  • postcrypt
  • dima_29
  • boleslav
  • vendor